libetonyek::IWORKGeometry Struct Reference documentation

libetonyek::IWORKGeometry Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKGeometry ()

## Public Attributes
IWORKSize | m_naturalSize
IWORKSize | m_size
IWORKPosition | m_position
boost::optional< double > | m_angle
| final angle in radians
boost::optional< double > | m_shearXAngle
boost::optional< double > | m_shearYAngle
boost::optional< bool > | m_horizontalFlip
boost::optional< bool > | m_verticalFlip
boost::optional< bool > | m_aspectRatioLocked
boost::optional< bool > | m_sizesLocked

## Constructor & Destructor Documentation

## ◆ IWORKGeometry()

libetonyek::IWORKGeometry::IWORKGeometry | ( |  | ) |

Referenced by libetonyek::IWORKGeometryElement::endOfElement().

## Member Data Documentation

## ◆ m_angle

boost::optional<double> libetonyek::IWORKGeometry::m_angle

final angle in radians

Referenced by IWORKGeometry().

## ◆ m_aspectRatioLocked

boost::optional<bool> libetonyek::IWORKGeometry::m_aspectRatioLocked

Referenced by IWORKGeometry().

## ◆ m_horizontalFlip

boost::optional<bool> libetonyek::IWORKGeometry::m_horizontalFlip

Referenced by IWORKGeometry().

## ◆ m_naturalSize

IWORKSize libetonyek::IWORKGeometry::m_naturalSize

Referenced by IWORKGeometry().

## ◆ m_position

IWORKPosition libetonyek::IWORKGeometry::m_position

Referenced by IWORKGeometry().

## ◆ m_shearXAngle

boost::optional<double> libetonyek::IWORKGeometry::m_shearXAngle

Referenced by IWORKGeometry().

## ◆ m_shearYAngle

boost::optional<double> libetonyek::IWORKGeometry::m_shearYAngle

Referenced by IWORKGeometry().

## ◆ m_size

IWORKSize libetonyek::IWORKGeometry::m_size

Referenced by IWORKGeometry().

## ◆ m_sizesLocked

boost::optional<bool> libetonyek::IWORKGeometry::m_sizesLocked

Referenced by IWORKGeometry().

## ◆ m_verticalFlip

boost::optional<bool> libetonyek::IWORKGeometry::m_verticalFlip

Referenced by IWORKGeometry().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp